<div class="w-100 p-3">
    <div class="row">
        <div class="col-12 d-flex align-items-center flex-column justify-content-center py-3 avengers-font">
            <div class="row">
                <span>Avengers JS</span>
            </div>
            <div class="row">
                <div class="col-6">
                    <img class="gauntlet-logo infinity pl-3" src="assets/images/infinity_gauntlet.png"
                        alt="Infinity Gauntlet" (click)="snap()">
                </div>
                <div class="col-6">
                    <img class="gauntlet-logo nano pl-3" src="assets/images/nano_gauntlet.png" alt="Nano Gauntlet"
                        (click)="unsnap()">
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <span class="float-right total-people-text">Total People:
                <span class="text-danger">{{getUnsnappedCharacters().length}}</span>
            </span>
        </div>
    </div>
    <div class="row">
        <div *ngFor="let character of characters; index as i"
            class="col-12 col-sm-4 col-lg-3 d-flex justify-content-center align-items-center py-2 character-card-wrapper"
            [class.snapped]="character.isSnapped">
            <div libParticleEffectButton class="character-card p-2" [pHidden]="character.isSnapped" pColor="#a27f5a"
                pType="rectangle" pParticlesAmountCoefficient="10" pDuration="1500">
                <div class="row character-name-container">
                    <div class="col-12 character-name">
                        {{ character.name }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 character-img"
                        [ngStyle]="{'background-image': 'url(../assets/characters/' + character.img + '.jpg)'}">
                    </div>
                </div>

                <div class="affiliation-container p-2">
                    <img *ngIf="character.affiliation === 0" class="affiliation-logo"
                        src="../assets/images/avengers_logo.png" alt="Avengers" />
                    <img *ngIf="character.affiliation === 1" class="affiliation-logo"
                        src="../assets/images/guardians_logo.png" alt="Guardians of the Galaxy" />
                </div>

            </div>
        </div>
    </div>
</div>